<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Geral\Entities\Estruturam as EntidadeEstruturam;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class Estruturam {

    public function cria($nrorg, $nrtipoestrutura, $idativo, $cdintestrutura, $dtinivigencia, $dtinclusao){
        $novoCodigo = NovoCodigo::geraCodigo($nrorg, "ESTRUTURAM", 1, 10, false, false);

        $e = new EntidadeEstruturam();
        $e->setNrestruturam($novoCodigo);
        $e->setNrorg($nrorg);
        $e->setNrtipoestrutura($nrtipoestrutura);
        $e->setIdativo($idativo);
        $e->setCdintestrutura($cdintestrutura);
        $e->setDtinivigencia($dtinivigencia);
        $e->setDtinclusao($dtinclusao);

        return $e;
    }
} 